X
Appuyez ici pour vous rendre sur la version mobile du site.

Forum d’assistance

With the recent upgrade NONE of the themes are now compatible. Please advise

Publié

Why cannot Thunderbird produce a generic batch of themes that will accommodate any upgrade?

Why cannot Thunderbird produce a generic batch of themes that will accommodate any upgrade?
Citation

Détails additionnels sur le système

Application

  • Agent utilisateur : Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/77.0.3865.90 Safari/537.36

Plus d’informations

christ1
  • Top 25 Contributor
2164 solutions 15795 réponses
With the recent upgrade

What upgrade exactly, to which version of TB?

If you upgraded to v68, then you must have done this manually. Automatic upgrades from v60 to v68 have not yet been enabled. Make sure to read the release notes for v68. https://www.thunderbird.net/en-US/thunderbird/68.0/releasenotes/

<blockquote> With the recent upgrade </blockquote> What upgrade exactly, to which version of TB? If you upgraded to v68, then you must have done this manually. Automatic upgrades from v60 to v68 have not yet been enabled. Make sure to read the release notes for v68. https://www.thunderbird.net/en-US/thunderbird/68.0/releasenotes/
Est-ce que ceci vous a été utile ?
Citation

Auteur de la question

I have attached an image that shows that my settings re updates of Thunderbird was set to "automatically install updates (recommended improved security).

No where does it state that the update was not enabled!!!!!!

Please advise

I have attached an image that shows that my settings re updates of Thunderbird was set to "automatically install updates (recommended improved security). No where does it state that the update was not enabled!!!!!! Please advise
Est-ce que ceci vous a été utile ?
Citation
Matt
  • Top 10 Contributor
  • Moderator
3251 solutions 22401 réponses

Thunderbird can not maintain the status quo with themes and add-ons because they are essentially a part of the underlying Geko engine Thunderbird is built on. Geko being the shared component with Firefox and developed by Mozilla and the Firefox people.

The developers have been essentially fighting a loosing battle for years to keep old themes and add-ons functional while they build a new framework for Thunderbird largely based on Firefox's webextensions.

Why a new framework? Because Thunderbird is a small project and could not have carried the maintenance burden that went with this significant part of the code base, nor could they adopt the web extension process as it was focused of different thing to Thunderbird add-ons. Firefox being web centric and focused on limiting access to the local machine. Thunderbird being focused on mail and living on the local machine with most mail actions involving storage on the local machine. The two goals were not compatible. So Thunderbird now has a new webmail interface for add-ons and themes are not supported just as they are not in Firefox.

Thunderbird can not maintain the status quo with themes and add-ons because they are essentially a part of the underlying Geko engine Thunderbird is built on. Geko being the shared component with Firefox and developed by Mozilla and the Firefox people. The developers have been essentially fighting a loosing battle for years to keep old themes and add-ons functional while they build a new framework for Thunderbird largely based on Firefox's webextensions. Why a new framework? Because Thunderbird is a small project and could not have carried the maintenance burden that went with this significant part of the code base, nor could they adopt the web extension process as it was focused of different thing to Thunderbird add-ons. Firefox being web centric and focused on limiting access to the local machine. Thunderbird being focused on mail and living on the local machine with most mail actions involving storage on the local machine. The two goals were not compatible. So Thunderbird now has a new webmail interface for add-ons and themes are not supported just as they are not in Firefox.
Est-ce que ceci vous a été utile ?
Citation
Poser une question

Vous devez vous identifier avec votre compte pour répondre aux messages. Veuillez poser une nouvelle question, si vous n’avez pas encore de compte.